Query Positions (PREDICTION_TRADE)
API Description
Get the authenticated user's prediction token positions with portfolio summary and tab-based filtering.
HTTP Request
GET /sapi/v1/w3w/wallet/prediction/position/list
Request Weight(IP)
200
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| walletAddress | STRING | YES | User's prediction wallet address |
| tab | STRING | NO | Position status tab. Values from PositionQueryType. Default: ONGOING |
| offset | INT | NO | Pagination offset. Default: 0, min: 0 |
| limit | INT | NO | Page size. Default: 20, range: 1–100 |
Response Example
{
"summary": {
"totalValue": "1523.45",
"positionValue": "523.45",
"walletBalance": "1000.00",
"totalClaimableAmount": "50.00",
"todayRealizedPnl": "15.30",
"todayRealizedPnlPercent": "3.10",
"todayTotalCost": "493.55"
},
"counts": {
"ongoingCount": 3,
"endedCount": 12,
"pendingClaimCount": 1
},
"positions": [
{
"positionId": 1001,
"vendor": "PREDICT_FUN",
"chainId": "56",
"tokenId": "112233",
"ctfContractAddress": "0xCtfContractAddress",
"collateralTokenAddress": "0xCollateralTokenAddress",
"collateralSymbol": "USDT",
"topicType": "FLAT",
"marketTopicId": 4229564,
"marketId": 5567895,
"marketOutcomeId": 10001,
"imageUrl": "https://cdn.example.com/prediction/btc-1h.png",
"thumbnailPaths": [
{ "size": "100x100", "path": "topic/btc_q80_100x100.png" }
],
"marketTopicTitle": "BTC Price 1h Up or Down?",
"translatedMarketTopicTitle": null,
"marketTopicQuestion": "Will BTC price go UP in the next 1 hour?",
"marketTitle": "UP",
"translatedMarketTitle": null,
"outcomeName": "YES",
"translatedOutcomeName": null,
"outcomeIndex": 0,
"shares": "1923.07",
"avgPrice": "0.52",
"totalCost": "1.00",
"value": "1.06",
"currentPrice": "0.55",
"toWin": "1923.07",
"positionStatus": "OPEN",
"isWinner": null,
"canClaim": false,
"redeemStatus": null,
"volume24h": "90000.00",
"endDate": 1748134800000,
"finalOutcome": null,
"translatedFinalOutcome": null,
"unrealizedPnl": "0.06",
"unrealizedPnlPercent": "6.00",
"realizedPnl": "0.00",
"pnl": "0.06",
"todayPnl": null,
"claimAmount": null,
"settledDate": null,
"createdTime": 1748131500000,
"updatedTime": 1748132000000
}
]
}